/*******************************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package example.debug.memoryview.internal.core;

import org.eclipse.core.runtime.PlatformObject;
import org.eclipse.debug.core.DebugException;
import org.eclipse.debug.core.ILaunch;
import org.eclipse.debug.core.model.DebugElement;
import org.eclipse.debug.core.model.IDebugTarget;
import org.eclipse.debug.core.model.IValue;
import org.eclipse.debug.core.model.IVariable;

public class SampleVariable extends DebugElement implements IVariable{

	private final SampleStackFrame fFrame;
	private String fName;

	SampleVariable(SampleStackFrame frame, String name)
	{
		super(frame.getDebugTarget());
		fFrame = frame;
		fName = name;
	}

	public IValue getValue() throws DebugException {
		return new SampleValue(this);
	}

	public String getName() throws DebugException {
		return fName;
	}

	public String getReferenceTypeName() throws DebugException {
		return "";
	}

	public boolean hasValueChanged() throws DebugException {
		return false;
	}

	public String getModelIdentifier() {
		return fFrame.getModelIdentifier();
	}

	public IDebugTarget getDebugTarget() {
		return fFrame.getDebugTarget();
	}

	public ILaunch getLaunch() {
		return fFrame.getLaunch();
	}


	public void setValue(IValue value) throws DebugException {
		
	}
	public boolean supportsValueModification() {
		return false;
	}

	public boolean verifyValue(IValue value) throws DebugException {
		return false;
	}

	public void setValue(String expression) throws DebugException {
		
	}

	public boolean verifyValue(String expression) throws DebugException {
		return false;
	}
}